Create group

POST/v2/rbac/groups

Creates a new group in the organization.

Body #

Defines a group of users for organizational purposes

application/json
PropertyTypeDescription
descriptionstringDetailed description of the group's purpose and scope
isManagedbooleanWhether the group is managed by Axiom
membersstring[]List of user IDs that are assigned to this group
namestringRequiredUnique name identifier for the group
rolesstring[]List of role IDs that are assigned to this group

Request #

curl -X POST 'https://api.axiom.co/v2/rbac/groups' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"description":"string","isManaged":true,"members":["string"],"name":"string","roles":["string"]}'
Try itRun this request against your Axiom organization

Credentials stay in this browser tab and are only sent to Axiom when you run the request.

Response #

200The group was successfully created
application/json